]> arthur.barton.de Git - bup.git/commitdiff
Have clean depend on bup-python so tools can too
authorRob Browning <rlb@defaultvalue.org>
Sun, 27 Dec 2015 18:30:49 +0000 (12:30 -0600)
committerRob Browning <rlb@defaultvalue.org>
Sun, 27 Dec 2015 18:53:56 +0000 (12:53 -0600)
Have the clean target depend on bup-python so that we can use it during
cleanup, and adjust cleanup-mounts-under accordingly.

Signed-off-by: Rob Browning <rlb@defaultvalue.org>
Tested-by: Rob Browning <rlb@defaultvalue.org>
Makefile
t/cleanup-mounts-under

index 6a1f49026b130b5df731a56b1c751a7059ce6ac8..0be621fd97bd3164c3fb73d80c8c9bdc650e41e3 100644 (file)
--- a/Makefile
+++ b/Makefile
@@ -251,14 +251,13 @@ import-docs: Documentation/clean
        $(pf); git archive origin/html | (cd Documentation && tar -xvf -)
        $(pf); git archive origin/man | (cd Documentation && tar -xvf -)
 
-clean: Documentation/clean
+clean: Documentation/clean cmd/bup-python
        cd config && rm -f *~ .*~ \
          ${CONFIGURE_DETRITUS} ${CONFIGURE_FILES} ${GENERATED_FILES}
        rm -f *.o lib/*/*.o *.so lib/*/*.so *.dll lib/*/*.dll *.exe \
                .*~ *~ */*~ lib/*/*~ lib/*/*/*~ \
                *.pyc */*.pyc lib/*/*.pyc lib/*/*/*.pyc \
-               bup bup-* cmd/bup-* \
-               cmd/python-cmd.sh \
+               bup bup-* \
                randomgen memtest \
                testfs.img lib/bup/t/testfs.img
        if test -e t/mnt; then t/cleanup-mounts-under t/mnt; fi
@@ -271,3 +270,5 @@ clean: Documentation/clean
        if test -e t/tmp; then t/force-delete t/tmp; fi
        ./configure-version --clean
        t/configure-sampledata --clean
+        # Remove last so that cleanup tools can depend on it
+       rm -f cmd/bup-* cmd/python-cmd.sh
index 9a72dedd87dba85722a703e8cb25fbe8c2dc2d91..88851e3ecf869c283e49f80f2ff8267816079d45 100755 (executable)
@@ -1,7 +1,8 @@
-#!/usr/bin/env python
-
-# This cannot rely on bup-python because it runs during clean, and so
-# it also needs to be compatible with Python 2 and 3.
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/../cmd/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
 
 import os.path, re, subprocess, sys